package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawMtpayDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String realName;
    @JSONField(ordinal = 10)
    private BigDecimal withdrawAmount;
    @JSONField(ordinal = 20)
    private String withdrawCurrency;
    @JSONField(ordinal = 30)
    private String fiatCurrency;
    @JSONField(ordinal = 40)
    private String bankName;
    @JSONField(ordinal = 50)
    private String bankBranchName;
    @JSONField(ordinal = 60)
    private String cardNumber;


    private Map<String, String> withdrawCurrencySelect;
    private Map<String, String> fiatCurrencySelect;

    public FinanceWithdrawMtpayDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("realName", "姓名");
        params.put("withdrawAmount", "金额");
        params.put("withdrawCurrency", "提现货币类型");
        params.put("fiatCurrency", "法币货币代码");
        params.put("bankName", "客户银行名称");
        params.put("bankBranchName", "客户银行分支机构名称");
        params.put("cardNumber", "客户银行卡号");

        paramsEn.put("realName", "realName");
        paramsEn.put("withdrawAmount", "withdrawAmount");
        paramsEn.put("withdrawCurrency", "withdrawCurrency");
        paramsEn.put("fiatCurrency", "fiatCurrency");
        paramsEn.put("bankName", "bankName");
        paramsEn.put("bankBranchName", "bankBranchName");
        paramsEn.put("cardNumber", "cardNumber");

        withdrawCurrencySelect = new HashMap<>(3);
        withdrawCurrencySelect.put("MTC", " MTC");
        withdrawCurrencySelect.put("CNY", "CNY");
        withdrawCurrencySelect.put("HKD", "HKD");

        fiatCurrencySelect = new HashMap<>(2);
        fiatCurrencySelect.put("CNY", "CNY");
        fiatCurrencySelect.put("HKD", "HKD");

    }
}
